Subject: Call for Review of draft-iab-styleguide-01.txt, "RFC Style Guide"

From: IAB Chair <[email-masked]>
Date: Tue, 4 Mar 2014 09:41:22 -0500

This is a call for review of "RFC Style Guide" prior to potential
approval as an IAB stream RFC.

The document is available for inspection here:
https://datatracker.ietf.org/doc/draft-iab-styleguide/

The Call for Review will last until 2 April 2014.
Normally, we ask for comments to go to the IAB mail list, but for
this document, it is more appropriate to use the RFC Interest list.
Please send comments to [email-masked]. 

On behalf of the IAB,
Russ Housley
IAB Chair

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 4 Mar 2014 18:16:02 +0100

The most important comment for me as start message is that the 1st April
RFC should be categorised different than IETF standards. IMHO, The past
RFC style is not a reasonable style of the world or the future best
practices. In considering our standards business and our documents
reputation, we should not make jokes with our followers only if we are sure
all like such jokes.

I don't want to stop that Style type, but it should be easily discriminated
by readers/users from other real work/business.

AB

It is nice that the last call is in 2 April not first of April, otherwise I
will think this message was just fun also ;-)

On Tuesday, March 4, 2014, IAB Chair wrote:

> Please send comments to [email-masked] <javascript:;>.
>
> On behalf of the IAB,
> Russ Housley
> IAB Chair
>
>

---

From: "George, Wes" <[email-masked]>
Date: Tue, 4 Mar 2014 13:00:23 -0500

From: Abdussalam Baryun <[email-masked]<mailto:[email-masked]>>

The most important comment for me as start message is that the 1st April RFC should be categorised different than IETF standards. IMHO, The past RFC style is not a reasonable style of the world or the future best practices. In considering our standards business and our documents reputation, we should not make jokes with our followers only if we are sure all like such jokes.

I don't want to stop that Style type, but it should be easily discriminated by readers/users from other real work/business.

WG] Please explain how the combination of the publish date, the doc status (usually info or experimental) plus this boilerplate (below) isn’t enough to distinguish this from standards?

"Status of This Memo

   This document is not an Internet Standards Track specification; it is
   published for informational purposes.

   This is a contribution to the RFC Series, independently of any other
   RFC stream.  The RFC Editor has chosen to publish this document at
   its discretion and makes no statement about its value for
   implementation or deployment.  Documents approved for publication by
   the RFC Editor are not a candidate for any level of Internet
   Standard; see Section 2 of RFC 5741<https://tools.ietf.org/html/rfc5741#section-2>."

I’d tell you a UDP joke, but you probably won’t get it…

Wes George

Anything below this line has been added by my company’s mail server, I have no control over it.
-----------

________________________________
This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed. If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.

---

From: Tony Hansen <[email-masked]>
Date: Tue, 04 Mar 2014 20:28:51 -0500

> The most important comment for me as start message is that the 1st 
> April RFC should be categorised different than IETF standards. 
> IMHO, The past RFC style is not a reasonable style of the world or the 
> future best practices. In considering our standards business and 
> our documents reputation, we should not make jokes with our followers 
> only if we are sure all like such jokes.
>
> I don't want to stop that Style type, but it should be easily 
> discriminated by readers/users from other real work/business.

All April 1st RFCs *ARE* categorized different than IETF standards. The 
problem is your equating "RFC == IETF Standard".

Repeat this mantra 10,000 times or until you fully grok it: Only some 
RFCs are standards; the rest are not.

     Tony Hansen

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 5 Mar 2014 03:45:17 +0100

Hi SM

The draft should consider reader styles then present author styles and then
RFC best practice style. I don't think the funny RFC is a best practice
style.

One of the important issue of document styles, is the each style purpose or
benefit to all readers. Documents are for readers and mostly new readers.
RFCs should consider new readers, especially the funny RFCs (in some
cultures they may not think that style is funny).

IMHO , The RFC editor output general style should change to
welcome/match more reader styles. Authors should not do documents without
clarifying purpose of their writing style.  Furthermore, editors should
motivate their document to easy readings to understanding. Comment below,

Thanks,

AB

On Tuesday, March 4, 2014, SM wrote:

> Hi Abdussalam,
> At 09:16 04-03-2014, Abdussalam Baryun wrote:
>
>> RFC should be categorised different than IETF standards. IMHO, The past RFC
>> style is not a reasonable style of the world or the future best practices.
>> In considering our standards business and our documents reputation, we
>> should not make jokes with our followers only if we are sure all like such
>> jokes.
>>
> The special RFCs are not part of the IETF Stream and they are not an IETF
> standard in any way.

You need to tell all possible readers that, or IETF should work hard to
make media know about its special RFC.

>  I agree that some of these RFCs might be difficult for some readers to
> understand.

That is good, so those docs are not making things easy to readers but
making it easy to others to joke or make fun or waste time.
Some Readers may not have time for jokes like the author or editor have.
The doc style affect the time and benefit of reader/writer.

>  I don't think that a decision about categorizing RFCs should be part of
> the discussion about RFC Style.

Why not? If the RFC are not for users to benefit and easy understand then
why not categorising?

---

From: <[email-masked]>
Date: Wed, 5 Mar 2014 04:09:49 +0000

> Furthermore, editors should motivate their document to easy readings to understanding.

You should take your own advice. Your emails are difficult to read, and difficult to understand. The above sentence is not even grammatical English. And you're seeking to give authors advice? REALLY?

Also, you are discriminating against cultures that consider funny RFCs to be funny, and humour to be a useful educational tool in gaining understanding.

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: ietf [[email-masked]] On Behalf Of Abdussalam Baryun [[email-masked]]
Sent: 05 March 2014 02:45
To: SM
Cc: [email-masked]; ietf
Subject: Re: Call for Review of draft-iab-styleguide-01.txt, "RFC Style Guide"

Hi SM

The draft should consider reader styles then present author styles and then RFC best practice style. I don't think the funny RFC is a best practice style.

One of the important issue of document styles, is the each style purpose or benefit to all readers. Documents are for readers and mostly new readers. RFCs should consider new readers, especially the funny RFCs (in some cultures they may not think that style is funny).

IMHO , The RFC editor output general style should change to welcome/match more reader styles. Authors should not do documents without clarifying purpose of their writing style.  Furthermore, editors should motivate their document to easy readings to understanding. Comment below,

Thanks,

AB

The special RFCs are not part of the IETF Stream and they are not an IETF standard in any way.

You need to tell all possible readers that, or IETF should work hard to make media know about its special RFC.

 I agree that some of these RFCs might be difficult for some readers to understand.

That is good, so those docs are not making things easy to readers but making it easy to others to joke or make fun or waste time. Some Readers may not have time for jokes like the author or editor have. The doc style affect the time and benefit of reader/writer.

 I don't think that a decision about categorizing RFCs should be part of the discussion about RFC Style.

Why not? If the RFC are not for users to benefit and easy understand then why not categorising?

---

From: SM <[email-masked]>
Date: Tue, 04 Mar 2014 21:15:37 -0800

Hi Abdussalam,

The IAB Chair asked for comments to be sent to 
[email-masked] ( 
http://www.ietf.org/mail-archive/web/ietf/current/msg86439.html ).  I 
assume that the reason is because the topic is about a RFC matter and 
not a matter specific to the IETF.

At 18:45 04-03-2014, Abdussalam Baryun wrote:
>The draft should consider reader styles then present author styles 
>and then RFC best practice style. I don't think the funny RFC is a 
>best practice style.

The style guide is the set of guidelines used by the RFC Editor.  It 
describes, for example, some formatting rules, reference style, etc.

>One of the important issue of document styles, is the each style 
>purpose or benefit to all readers. Documents are for readers and 
>mostly new readers. RFCs should consider new readers, especially the 
>funny RFCs (in some cultures they may not think that style is funny).

I guess that what the above is trying to say is that a joke might not 
be considered as funny in every part of the world.

>welcome/match more reader styles. Authors should not do documents 
>without clarifying purpose of their writing style.  Furthermore, 
>editors should motivate their document to easy readings to 
>understanding. Comment below,

The above would be about target audience.  As an example, there can 
be assumption that the average reader will have some familiarity with 
the topic being discussed in a RFC.

>then why not categorising?

The style guide is about how to write a draft so that it is easier 
for the RFC Editor to publish it.  It is not about categories, e.g. 
whether the document should be a "Proposed Standard" or whether 
satirical material can be published as a RFC.

Regards,
-sm

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 5 Mar 2014 08:05:58 +0000

On Wed, Mar 5, 2014 at 2:45 AM, Abdussalam Baryun <
[email-masked]> wrote:

> The draft should consider reader styles then present author styles and
> then RFC best practice style. I don't think the funny RFC is a best
> practice style.
>

In a different thread you made some claims about the reason IETF attendance
dropped off after 2000-2002.  I think if the IETF and the RFC Editor
function were compelled to become so rigid that we can no longer safely
reminisce or laugh at ourselves in sometimes visible ways, you'll see it
drop again.

I think it's fine that some people aren't in on the joke.  Getting there is
a form of education; if you do the work to understand the joke, you'll be
better off, and then you can laugh with us.

In any case, I agree with SM's point that this has little if anything to do
with the style guide.

-MSK

---

From: <[email-masked]>
Date: Wed, 5 Mar 2014 09:08:45 +0000

note that there's a difference between 'understanding the. joke' and 'finding it funny'.

if you understand the joke, but don't find it at all funny, it's entirely possible that you wrote it.

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: ietf [[email-masked]] On Behalf Of Murray S. Kucherawy [[email-masked]]
Sent: 05 March 2014 08:05
To: Abdussalam Baryun
Cc: SM; [email-masked]; ietf
Subject: Re: Call for Review of draft-iab-styleguide-01.txt, "RFC Style Guide"

On Wed, Mar 5, 2014 at 2:45 AM, Abdussalam Baryun <[email-masked]<mailto:[email-masked]>> wrote:
The draft should consider reader styles then present author styles and then RFC best practice style. I don't think the funny RFC is a best practice style.

In a different thread you made some claims about the reason IETF attendance dropped off after 2000-2002.  I think if the IETF and the RFC Editor function were compelled to become so rigid that we can no longer safely reminisce or laugh at ourselves in sometimes visible ways, you'll see it drop again.

I think it's fine that some people aren't in on the joke.  Getting there is a form of education; if you do the work to understand the joke, you'll be better off, and then you can laugh with us.

In any case, I agree with SM's point that this has little if anything to do with the style guide.

-MSK

---

From: Tom Taylor <[email-masked]>
Date: Tue, 04 Mar 2014 18:40:55 -0500

> Please send comments to [email-masked].
The document looks reasonable.

As an author, I have had exchanges in the past with an IESG member who 
would, I believe, disagree with the advice in the first sentence, last 
paragraph of Section 4.8.2. I am happy with that paragraph as it stands.

    To simply specify a necessary logical relationship, the normal
    lowercase words should be used.  On the other hand, if the
    capitalized words are used in a document, choose and use them
    carefully and consistently.

Nit: last paragraph of Section 1, disagreement in number.

OLD

All RFCs begin as an Internet-Draft

NEW

All RFCs begin as Internet-Drafts
or
Every RFC begins as an Internet-Draft

Tom Taylor

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 5 Mar 2014 20:36:54 +0100

Hi Murray,

I have spoke with the RFC editor team today, and I think I was
misunderstood. The issue is not that we stop that type of RFC but the issue
is to make it clear by category for users and customers. You are right it
is important for IETF participants to get use to it but what about
international customers (they are not part of IETF). My concern is
customers or new users. Comment below,

On Wednesday, March 5, 2014, Murray S. Kucherawy wrote:

> In a different thread you made some claims about the reason IETF
> attendance dropped off after 2000-2002.
>

The answer to that drop between 2000-2002 was that most attendance were not
participants because they were users or customers. My analysis and
assumptions considered that the period was larger than 2 years. So we may
lost users or new possible participants, and remain constant with
participants for longer.

 I think if the IETF and the RFC Editor function were compelled to become
> so rigid that we can no longer safely reminisce or laugh at ourselves in
> sometimes visible ways, you'll see it drop again.
>

The suggestion was not to stop laughs between colleagues but to change the
product you deliver. Don't laugh about your users but those RFCs style can
be an internal tool to laugh with your colleagues, not customers.  I
distinguish between participants and users/customers, that read any
IETF RFC. I consider competing with other SDOs, but this April RFC may not
consider any competition and I don't think that ITU does that April fool
production.

> I think it's fine that some people aren't in on the joke.  Getting there
> is a form of education; if you do the work to understand the joke, you'll
> be better off, and then you can laugh with us.
>

I do laugh with IETF participants, but I don't use our product/service to
laugh on my international customers that need such product/service. I want
the IETF business to expand more international, but some volunteers may not
understand to make better future for their organisation, and the best
future for IETF products.

> In any case, I agree with SM's point that this has little if anything to

The style is for a purpose, to help all participants, users, and customers.
It seems only IETF participants get one style type.

I think I am done with this issue, I will leave it for future.

AB